SL=zeros(24,6);
E_SL=zeros(24,6);
E_BL=zeros(24,6);
U50=zeros(24,6);
c=0.5;

for i=1:24
    for j=1:6
        SL(i,j)=55+c*(La_lin(i,j)-45);
        E_SL(i,j)=10^(SL(i,j)/10);
        E_BL(i,j)=10^(La_lin(i,j)/10);
        U50(i,j)=C50_lin(i,j)/(1+(C50_lin(i,j)+1)*(E_BL(i,j)/E_SL(i,j)));
    end
end

x=[0.5:0.5:12];
mea=[0.5 1 1.5 2 2.5 3 4 5 6 7 8 9 11.5 12];

figure
plot(x,U50(1:24,1))
xticks([1:1:12])
xlim([0 12.5])
hold on
plot(x,U50(1:24,2),'--r')
plot(x,U50(1:24,3),':k', 'LineWidth',1.5)
plot(x,U50(1:24,4),'-mo')
plot(x,U50(1:24,5),'-pg')
plot(x,U50(1:24,6), 'k')

yticks([0:0.1:1.2])
ylim([0 1.2])
plot(mea,0,'ko')
hold off

set(gcf,'color','w')
grid on
xlabel('Avstand [m]')
ylabel('U_{50} [dB]')
legend('125 Hz', '250 Hz', '500 Hz', '1 kHz', '2 kHz', '4 kHz')
export_fig U50 -pdf



C50_c=[0:0.1:20];
U50_c=zeros(1,length(C50_c));
for i=1:length(C50_c)

U50_c(i)=C50_c(i)/(1+(C50_c(i)+1)*2);
end

figure
plot(C50_c,U50_c)
ylim([0 1])
grid on
set(gcf,'color','w')
xlabel('C_{50} [dB]')
ylabel('U_{50} [dB]')
export_fig U50C -pdf


E_frac=[0.1:0.05:8];
U50_d=zeros(1,length(E_frac));
C50_d=10;

for i=1:length(E_frac)

U50_d(i)=C50_d/(1+(C50_d+1)*E_frac(i));
end

figure
plot(E_frac,U50_d)
ylim([0 5])
xlim([0 6])
grid on
set(gcf,'color','w')
xlabel('E_{BL}/E_{SL}')
ylabel('U_{50} [dB]')
export_fig U50E -pdf

figure
semilogx(-E_frac,U50_d)
xlim([-8 -0.25])
xticks([-8 -4 -2 -1 -.5 -.25])
xticklabels({'-9', '-6', '-3','0', '3',  '6'})
grid on
xlabel('Signal-sty-forhold [dB]')
ylabel('U_{50} [dB]')
set(gcf,'color','w')
export_fig U50SNR -pdf